Package com.ericsson.otp.erlang

## Class OtpErlangObject.Hash

- java.lang.Object
- - com.ericsson.otp.erlang.OtpErlangObject.Hash

- Enclosing class:
    OtpErlangObject

      protected static final class OtpErlangObject.Hash
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Hash​(int i)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `combine​(byte[] b)` |
    `protected void` | `combine​(int a)` |
    `protected void` | `combine​(int a, int b)` |
    `protected void` | `combine​(long a)` |
    `protected int` | `valueOf()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hash

          protected Hash​(int i)

  - ### Method Detail

    - #### combine

          protected void combine​(int a)

    - #### combine

          protected void combine​(long a)

    - #### combine

          protected void combine​(int a,
                                 int b)

    - #### combine

          protected void combine​(byte[] b)

    - #### valueOf

          protected int valueOf()